=== modified file 'source/addonHandler.py'
--- source/addonHandler.py	2012-09-14 00:14:35 +0000
+++ source/addonHandler.py	2012-10-16 09:47:11 +0000
@@ -154,15 +154,16 @@
 	addonPath = os.path.join(globalVars.appArgs.configPath, "addons",bundle.manifest['name']+ADDON_PENDINGINSTALL_SUFFIX)
 	bundle.extract(addonPath)
 	addon=Addon(addonPath)
+	_availableAddons[addon.path]=addon
 	try:
 		addon.runInstallTask("onInstall")
 	except:
 		log.error("task 'onInstall' on addon '%s' failed"%addon.name,exc_info=True)
+		del _availableAddons[addon.path]
 		addon.completeRemove(runUninstallTask=False)
 		raise AddonError("Installation failed")
 	state['pendingInstallsSet'].add(bundle.manifest['name'])
 	saveState()
-	_availableAddons[addonPath]=addon
 	return addon
 
 class AddonError(Exception):
@@ -214,9 +215,12 @@
 	def completeRemove(self,runUninstallTask=True):
 		if runUninstallTask:
 			try:
+				_availableAddons[self.path] = self
 				self.runInstallTask("onUninstall")
 			except:
 				log.error("task 'onUninstall' on addon '%s' failed"%self.name,exc_info=True)
+			finally:
+				del _availableAddons[self.path]
 		shutil.rmtree(self.path,ignore_errors=True)
 		if os.path.exists(self.path):
 			log.error("Error removing addon directory %s, deferring until next NVDA restart"%self.path)

=== modified file 'user_docs/en/changes.t2t'
--- user_docs/en/changes.t2t	2012-10-13 06:54:42 +0000
+++ user_docs/en/changes.t2t	2012-10-16 09:25:07 +0000
@@ -108,6 +108,7 @@
  - For xgettext, pass the --keyword=pgettext:1c,2 command line argument to enable inclusion of message contexts.
  - See http://www.gnu.org/software/gettext/manual/html_node/Contexts.html#Contexts for more information.
 - It is now possible to access built-in NVDA modules where they have been overridden by third party modules. See the nvdaBuiltin module for details.
+- Add-on translation support can now be used within the add-on installTasks module. (#2715)
 
 
 = 2012.2.1 =

